%define upstream_name    Catalyst-View-Excel-Template-Plus
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Excel::Plus View for [% app %]
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Excel::Template::Plus)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This is a Catalyst View subclass which can handle rendering excel content
through Excel::Template::Plus.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-6.mga9
+ Revision: 1802236
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-5.mga8
+ Revision: 1493460
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-4.mga7
+ Revision: 1265973
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1023402
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 967091
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 848108
- update to 0.04

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 744991
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 509766
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 364124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 40322
- mageia rebuild
- imported package perl-Catalyst-View-Excel-Template-Plus


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2011.0
+ Revision: 627358
- import perl-Catalyst-View-Excel-Template-Plus

